import {MigratorBase} from "./migrator-base.js";
import {IndexedDbResponse} from "./indexedDb-response.js";

export class OnKeyMigrator extends MigratorBase {

    constructor() {
        super();

        // NOTE JB: The order is very important here. Do not change the migration order.
        this._migrations.push(this._migration1Async);
    }

    async _migration1Async(db) {
        return await new Promise(resolve => {
            db.createObjectStore("resources", {keyPath: "name"});
            resolve(new IndexedDbResponse());
        });
    }
}